Index: code/branches/ogre1.9/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11211)
@@ -1,98 +1,95 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/CampaignBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
-            <Property Name="Text" Value="Mission One" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="CampaignBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="Mission1Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Mission One" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Event function="CampaignMenu.Mission1Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
-            <Property Name="Text" Value="Fight in our Back" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
+        <Window name="Mission2Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Fight in our Back" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission2Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
-            <Property Name="Text" Value="Pirate Attack" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
+        <Window name="Mission3Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Pirate Attack" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission3Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
-            <Property Name="Text" Value="Trip to Area 51" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
+        <Window name="Mission4Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Trip to Area 51" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission4Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
-            <Property Name="Text" Value="Area 51 under Fire" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        <Window name="Mission5Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Area 51 under Fire" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission5Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
-            <Property Name="Text" Value="Escape the Bastards" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        <Window name="Mission6Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Escape the Bastards" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission6Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
-            <Property Name="Text" Value="Expedition to Sector 5C" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
+        <Window name="Mission7Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Expedition to Sector 5C" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission7Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
-            <Property Name="Text" Value="Shuttle under Attack" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        <Window name="Mission8Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Shuttle under Attack" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission8Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
-            <Property Name="Text" Value="Retaliation" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        <Window name="Mission9Button" type="MenuWidgets/Button">
+            <Property name="Text" value="Retaliation" />
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission9Button_clicked" name="Clicked" />
         </Window>
-
-
-        <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
+        <Window name="CampaignMenuBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
+            <Event function="CampaignMenu.CampaignMenuBackButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/CampaignMenuCongratulation" >
-            <Property Name="Text" Value="Campaign Completed!!!" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedMaxSize" Value="{{2,1},{2,1}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.15,0},{0.6,0},{0.2,0}}" />
+        <Window name="CampaignMenuCongratulation" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Campaign Completed!!!" />
+            <Property name="Visible" value="False" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="MaxSize" value="{{2,1},{2,1}}" />
+            <Property name="Area" value="{{0.4,0},{0.15,0},{0.6,0},{0.2,0}}" />
         </Window>
     </Window>
Index: code/branches/ogre1.9/data/gui/layouts/ChatBox-inputonly.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/ChatBox-inputonly.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/ChatBox-inputonly.layout	(revision 11211)
@@ -1,16 +1,15 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="DefaultWindow" Name="orxonox/ChatBox-inputonly/Root" >
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="MenuWidgets/Editbox" Name="orxonox/ChatBox-inputonly/input" >
-            <Property Name="Text" Value="" />
-            <Property Name="Font" Value="Monofur-10" />
-            <Property Name="AlwaysOnTop" Value="True" />
-            <Property Name="MaxTextLength" Value="12981298" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.02,0},{0,5},{0.98,0},{0,30}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="ChatBox-inputonly" type="DefaultWindow">
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Window name="input" type="MenuWidgets/Editbox">
+            <Property name="Text" value="" />
+            <Property name="Font" value="Monofur-10" />
+            <Property name="AlwaysOnTop" value="True" />
+            <Property name="MaxTextLength" value="12981298" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.02,0},{0,5},{0.98,0},{0,30}}" />
         </Window>
     </Window>
Index: code/branches/ogre1.9/data/gui/layouts/ChatBox.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/ChatBox.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/ChatBox.layout	(revision 11211)
@@ -1,28 +1,26 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="DefaultWindow" Name="orxonox/ChatBox/Root" >
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="MenuWidgets/FrameWindow" Name="orxonox/ChatBox" >
-            <Property Name="Text" Value="Chat" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="TitlebarEnabled" Value="True" />
-            <!--<Property Name="UnifiedAreaRect" Value="{{0.01,0},{0.03,0},{0.6,0},{0.69375,0}}" />-->
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.10,0},{0.98,0},{0.65,0}}" />
-            <Event Name="CloseClicked" Function="ChatBox.ChatBoxCloseButton_clicked"/>
-            <Window Type="MenuWidgets/Listbox" Name="orxonox/ChatBox/history" >
-                <Property Name="Font" Value="Monofur-10" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.02,0},{0.078,0},{0.98,0},{1,-30}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="ChatBox" type="DefaultWindow">
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Window name="frame" type="MenuWidgets/FrameWindow">
+            <Property name="Text" value="Chat" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="TitlebarEnabled" value="True" />
+            <Property name="Area" value="{{0.35,0},{0.10,0},{0.98,0},{0.65,0}}" />
+            <Event function="ChatBox.ChatBoxCloseButton_clicked" name="CloseClicked" />
+            <Window name="history" type="MenuWidgets/Listbox">
+                <Property name="Font" value="Monofur-10" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.02,0},{0.078,0},{0.98,0},{1,-30}}" />
             </Window>
-            <Window Type="MenuWidgets/Editbox" Name="orxonox/ChatBox/input" >
-                <Property Name="Text" Value="" />
-                <Property Name="Font" Value="Monofur-10" />
-                <Property Name="MaxTextLength" Value="1073741823" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.02,0},{1,-30},{0.98,0},{1,-5}}" />
+            <Window name="input" type="MenuWidgets/Editbox">
+                <Property name="Text" value="" />
+                <Property name="Font" value="Monofur-10" />
+                <Property name="MaxTextLength" value="1073741823" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.02,0},{1,-30},{0.98,0},{1,-5}}" />
             </Window>
         </Window>
Index: code/branches/ogre1.9/data/gui/layouts/ControlsMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/ControlsMenu.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/ControlsMenu.layout	(revision 11211)
@@ -1,37 +1,36 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/ControlsBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/ControlsWindow" >
-            <Property Name="Text" Value="Controls" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/Button" Name="orxonox/MouseControlsButton" >
-                <Property Name="Text" Value="Mouse controls" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.3,0},{0.318181,0},{0.7,0},{0.5,0}}" />
-                <Event Name="Clicked" Function="ControlsMenu.ControlsMouseControlsButton_clicked"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="ControlsBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="ControlsWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Controls" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
+            <Window name="MouseControlsButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Mouse controls" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.3,0},{0.318181,0},{0.7,0},{0.5,0}}" />
+                <Event function="ControlsMenu.ControlsMouseControlsButton_clicked" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/KeybindingsButton" >
-                <Property Name="Text" Value="Keybindings" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.3,0},{0.590909,0},{0.7,0},{0.772727,0}}" />
-                <Event Name="Clicked" Function="ControlsMenu.ControlsKeyboardControlsButton_clicked"/>
+            <Window name="KeybindingsButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Keybindings" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.3,0},{0.590909,0},{0.7,0},{0.772727,0}}" />
+                <Event function="ControlsMenu.ControlsKeyboardControlsButton_clicked" name="Clicked" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/ControlsBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="ControlsMenu.ControlsBackButton_clicked"/>
+        <Window name="ControlsBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event function="ControlsMenu.ControlsBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
Index: code/branches/ogre1.9/data/gui/layouts/CreditsMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/CreditsMenu.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/CreditsMenu.layout	(revision 11211)
@@ -1,41 +1,40 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="DefaultWindow" Name="orxonox/CreditsMenu/Background" >
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/CreditsWindow" >
-            <Property Name="Text" Value="Credits" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/CreditsMenuWrapper" >
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
-                <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/CreditsMenuPane" >
-                    <Property Name="ContentArea" Value="l:0 t:0 r:0 b:0" />
-                    <Property Name="HorzStepSize" Value="0.005" />
-                    <Property Name="VertStepSize" Value="0.005" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="HorzOverlapSize" Value="0.01" />
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{0.997,0},{0.997,0}}" />
-                    <Property Name="VertOverlapSize" Value="0.01" />
-                    <Property Name="HorzScrollPosition" Value="0" />
-                    <Property Name="VertScrollPosition" Value="0" />
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/CreditsText" >
-                        <Property Name="TextColours" Value="FFFFFFFF" />
-                        <Property Name="InheritsAlpha" Value="False" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="HorzFormatting" Value="HorzCentred" />
-                        <Property Name="VertFormatting" Value="TopAligned" />
-                        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-                        <Property Name="Text">Orxonox version 0.0.3
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="Background" type="DefaultWindow">
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Window name="CreditsWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Credits" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
+            <Window name="CreditsMenuWrapper" type="MenuWidgets/StaticText">
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
+                <Window name="CreditsMenuPane" type="MenuWidgets/ScrollablePane">
+                    <Property name="ContentArea" value="l:0 t:0 r:0 b:0" />
+                    <Property name="HorzStepSize" value="0.005" />
+                    <Property name="VertStepSize" value="0.005" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="HorzOverlapSize" value="0.01" />
+                    <Property name="Area" value="{{0,0},{0,0},{0.997,0},{0.997,0}}" />
+                    <Property name="VertOverlapSize" value="0.01" />
+                    <Property name="HorzScrollPosition" value="0" />
+                    <Property name="VertScrollPosition" value="0" />
+                    <Window name="CreditsText" type="MenuWidgets/StaticText">
+                        <Property name="TextColours" value="FFFFFFFF" />
+                        <Property name="InheritsAlpha" value="False" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="VertFormatting" value="TopAligned" />
+                        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+                        <Property name="Text">Orxonox version 0.0.3
     
     Programming Language:  C++ - lua - tcl
@@ -55,9 +54,9 @@
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/CreditsBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="CreditsMenu.CreditsBackButton_clicked"/>
+        <Window name="CreditsBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event function="CreditsMenu.CreditsBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
